package cn.com.qmth.export;

import java.io.File;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

public class ChuanNongExportProperty {
	private static Logger logger = LogManager.getLogger(ChuanNongExportProperty.class);
	private static AtomicInteger count=new AtomicInteger(0);
	private static String dbName="chuannong";
	private final static String sourceDir = "d:/chuannong/";
	public static void main(String[] args) {
		logger.debug("导出开始");
		try {
			dispose();
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
		logger.debug("导出结束");
	}
	
	private static void dispose() {
		File dir=new File(sourceDir+"prop/");
		if(dir.exists()) {
			FileUtil.clearDirectory(sourceDir+"prop/");
		}else {
			dir.mkdirs();
		}
		try {
			MyProducer2 pro=new MyProducer2();
			Map<String, Object> param=new HashMap<>();
			param.put("dbName", dbName);
			pro.startDispose(MyConsumer2.class, 8, param);
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
	}
	
	public static void  addDisposeCount() {
		count.addAndGet(1);
		logger.debug("处理了"+count);
	}
}
